//========================================================================
//Copyright 2011-2012 Mort Bay Consulting Pty. Ltd.
//------------------------------------------------------------------------
//All rights reserved. This program and the accompanying materials
//are made available under the terms of the Eclipse Public License v1.0
//and Apache License v2.0 which accompanies this distribution.
//The Eclipse Public License is available at
//http://www.eclipse.org/legal/epl-v10.html
//The Apache License v2.0 is available at
//http://www.opensource.org/licenses/apache2.0.php
//You may elect to redistribute this code under either of these licenses.
//========================================================================

package org.eclipse.jetty.spdy.api;

/**
 * <p>A container for PING frames data.</p>
 */
public class PingInfo
{
    private final int pingId;

    /**
     * <p>Creates a {@link PingInfo} with the given ping id</p>
     * @param pingId the ping id
     */
    public PingInfo(int pingId)
    {
        this.pingId = pingId;
    }

    /**
     * @return the ping id
     */
    public int getPingId()
    {
        return pingId;
    }
}
